-- portal.comment_info definition

CREATE TABLE `comment_info`
(
    `id`                 bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `content`            text COMMENT '内容',
    `create_user_idcard` varchar(18)  DEFAULT NULL COMMENT '创建人身份证号',
    `create_user`        varchar(255) DEFAULT NULL COMMENT '创建人',
    `create_org_code`    varchar(20)  DEFAULT NULL COMMENT '创建人部门code',
    `create_org_name`    varchar(100) DEFAULT NULL COMMENT '创建人部门名称',
    `create_time`        datetime     DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time`        datetime     DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `del_flag`           tinyint      DEFAULT '0' COMMENT '删除',
    PRIMARY KEY (`id`) USING BTREE,
    KEY                  `idx_comment_info_create_user_idcard` (`create_user_idcard`) USING BTREE,
    KEY                  `idx_comment_info_del_flag` (`del_flag`) USING BTREE
);

-- portal.comment_detail_info definition

CREATE TABLE `comment_detail_info`
(
    `id`                 bigint NOT NULL AUTO_INCREMENT COMMENT '主键ID',
    `comment_id`         bigint NOT NULL COMMENT '主键ID',
    `content`            text COMMENT '内容',
    `create_user_idcard` varchar(18)  DEFAULT NULL COMMENT '创建人身份证号',
    `create_user`        varchar(255) DEFAULT NULL COMMENT '创建人',
    `create_org_code`    varchar(20)  DEFAULT NULL COMMENT '创建人部门code',
    `create_org_name`    varchar(100) DEFAULT NULL COMMENT '创建人部门名称',
    `create_time`        datetime     DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_time`        datetime     DEFAULT NULL ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
    `del_flag`           tinyint      DEFAULT '0' COMMENT '删除',
    PRIMARY KEY (`id`) USING BTREE,
    KEY                  `idx_comment_detail_info_comment_id` (`comment_id`) USING BTREE,
    KEY                  `idx_comment_detail_info_del_flag` (`del_flag`) USING BTREE
);