package com.dragon.tj.portal.auth.config;

import com.alibaba.fastjson.support.retrofit.Retrofit2ConverterFactory;
import com.dragon.tj.portal.auth.module.cas.CasAuthenticationClient;
import com.dragon.tj.portal.auth.module.cas.CasAuthorizationClient;
import com.dragon.tj.portal.auth.properties.CasProperties;
import okhttp3.OkHttpClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import retrofit2.Retrofit;
import retrofit2.converter.jackson.JacksonConverterFactory;

@Configuration
public class RetrofitCasConfig {

    private final CasProperties casProperties;

    public RetrofitCasConfig(CasProperties casProperties) {
        this.casProperties = casProperties;
    }

    @Bean
    public CasAuthenticationClient casAuthenticationClient(OkHttpClient okHttpClient) {
        Retrofit retrofit = new Retrofit.Builder()
                .client(okHttpClient)
                .baseUrl(casProperties.getAuthenticationUrl())
                .addConverterFactory(JacksonConverterFactory.create())
                .build();
        return retrofit.create(CasAuthenticationClient.class);
    }

    @Bean
    public CasAuthorizationClient casAuthorizationClient(OkHttpClient okHttpClient) {
        Retrofit retrofit = new Retrofit.Builder()
                .client(okHttpClient)
                .baseUrl(casProperties.getAuthorizeUrl())
                .addConverterFactory(Retrofit2ConverterFactory.create())
                .build();
        return retrofit.create(CasAuthorizationClient.class);
    }

}
