package com.dragon.tj.portal.auth.config;

import com.dragon.tj.portal.auth.util.SSLSocketManager;
import okhttp3.OkHttpClient;
import okhttp3.logging.HttpLoggingInterceptor;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.concurrent.TimeUnit;

@Configuration
public class RetrofitConfig {

    @Value("${okhttp.log.enabled:false}")
    private boolean logEnabled;

    @Bean
    public OkHttpClient okHttpClient() {
        HttpLoggingInterceptor loggingInterceptor = new HttpLoggingInterceptor();
        loggingInterceptor.setLevel(HttpLoggingInterceptor.Level.BODY);

        OkHttpClient.Builder httpClientBuilder = new OkHttpClient.Builder()
                .connectTimeout(10, TimeUnit.SECONDS)
                .readTimeout(60, TimeUnit.SECONDS);
        if (logEnabled) {
            httpClientBuilder.addInterceptor(loggingInterceptor);
        }

        httpClientBuilder.sslSocketFactory(SSLSocketManager.getSSLSocketFactory(), SSLSocketManager.getTrustManager());
        httpClientBuilder.hostnameVerifier(SSLSocketManager.getHostNameVerifier());
        return httpClientBuilder.build();
    }
}
