package com.dragon.tj.portal.auth.config;

import com.alibaba.fastjson.support.retrofit.Retrofit2ConverterFactory;
import com.dragon.tj.portal.auth.module.zerotrust.ZeroTrustAuthenticationClient;
import com.dragon.tj.portal.auth.module.zerotrust.ZeroTrustAuthorizeClient;
import com.dragon.tj.portal.auth.properties.ZeroTrustProperties;
import okhttp3.OkHttpClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import retrofit2.Retrofit;

@Configuration
public class RetrofitZeroTrustConfig {

    private final ZeroTrustProperties zeroTrustProperties;

    public RetrofitZeroTrustConfig(ZeroTrustProperties zeroTrustProperties) {
        this.zeroTrustProperties = zeroTrustProperties;
    }

    @Bean
    public ZeroTrustAuthenticationClient zeroTrustAuthenticationClient(OkHttpClient okHttpClient) {
        Retrofit retrofit = new Retrofit.Builder()
                .client(okHttpClient)
                .baseUrl(zeroTrustProperties.getAuthenticationUrl())
                .addConverterFactory(Retrofit2ConverterFactory.create())
                .build();
        return retrofit.create(ZeroTrustAuthenticationClient.class);
    }

    @Bean
    public ZeroTrustAuthorizeClient zeroTrustAuthorizeClient(OkHttpClient okHttpClient) {
        Retrofit retrofit = new Retrofit.Builder()
                .client(okHttpClient)
                .baseUrl(zeroTrustProperties.getAuthorizeUrl())
                .addConverterFactory(Retrofit2ConverterFactory.create())
                .build();
        return retrofit.create(ZeroTrustAuthorizeClient.class);
    }

}
