package com.dragon.tj.portal.auth.config;

import com.dragon.tj.portal.auth.module.hmac.HmacAuthenticationFilter;
import com.dragon.tj.portal.auth.service.JwtTokenAuthenticationFilter;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class WebServletConfig {

    /**
     * 禁用ServletFilterChain中的JwtTokenAuthenticationFilter
     * 该filter只用于SecurityFilterChain中，禁用以避免执行两次
     */
    @Bean
    public FilterRegistrationBean<JwtTokenAuthenticationFilter> jwtTokenFilterRegistration(JwtTokenAuthenticationFilter filter) {
        FilterRegistrationBean<JwtTokenAuthenticationFilter> registration = new FilterRegistrationBean<>(filter);
        registration.setEnabled(false);
        return registration;
    }

    // @Bean
    public FilterRegistrationBean<HmacAuthenticationFilter> hmacFilterRegistration(HmacAuthenticationFilter filter) {
        FilterRegistrationBean<HmacAuthenticationFilter> registration = new FilterRegistrationBean<>(filter);
        registration.setEnabled(false);
        return registration;
    }
}
