package com.dragon.tj.portal.auth.module.cas;

import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.auth.service.TokenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.cas.authentication.CasAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.web.authentication.SimpleUrlAuthenticationSuccessHandler;
import org.springframework.stereotype.Component;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@Component
public class MySimpleUrlAuthenticationSuccessHandler extends SimpleUrlAuthenticationSuccessHandler {

    @Autowired
    TokenService tokenService;

    @Override
    protected String determineTargetUrl(HttpServletRequest request, HttpServletResponse response, Authentication authentication) {
        CasAuthenticationToken casAuthenticationToken = (CasAuthenticationToken) authentication;
        LoginUser loginUser = (LoginUser) casAuthenticationToken.getUserDetails();
        String token = tokenService.createToken(loginUser);
        return getDefaultTargetUrl() + token;
    }
}
