package com.dragon.tj.portal.auth.module.zerotrust;

import org.springframework.security.authentication.UsernamePasswordAuthenticationToken;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.AuthenticationException;
import org.springframework.security.web.authentication.AbstractAuthenticationProcessingFilter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ZeroTrustAuthenticationFilter extends AbstractAuthenticationProcessingFilter {
    private static final String HEADER_USER_TOKEN = "RZZX-USERTOKEN";
    private static final String HEADER_APP_TOKEN = "RZZX-APPTOKEN";

    public ZeroTrustAuthenticationFilter(String defaultFilterProcessesUrl) {
        super(defaultFilterProcessesUrl);
    }

    @Override
    public Authentication attemptAuthentication(HttpServletRequest request, HttpServletResponse response) throws AuthenticationException {
        String userToken = request.getHeader(HEADER_USER_TOKEN);
        String appToken = request.getHeader(HEADER_APP_TOKEN);
        UsernamePasswordAuthenticationToken authRequest =
                UsernamePasswordAuthenticationToken.unauthenticated(userToken, appToken);
        // Allow subclasses to set the "details" property
        authRequest.setDetails(this.authenticationDetailsSource.buildDetails(request));
        return this.getAuthenticationManager().authenticate(authRequest);
    }
}
