package com.dragon.tj.portal.auth.web.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.auth.web.entity.SysDept;
import com.dragon.tj.portal.auth.web.entity.SysUser;
import com.dragon.tj.portal.auth.web.mapper.SysDeptMapper;
import com.dragon.tj.portal.auth.web.mapper.SysUserMapper;
import com.dragon.tj.portal.auth.web.service.SysDeptService;
import com.dragon.tj.portal.common.constants.BusinessConstants;
import com.dragon.tj.portal.common.dto.message.MessageInfoUserInfo;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.google.common.collect.Sets;
import org.apache.commons.collections4.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * <p>
 * 部门表 服务实现类
 * </p>
 *
 * @author caiaa
 * @since 2023-06-23
 */
@Service
public class SysDeptServiceImpl extends ServiceImpl<SysDeptMapper, SysDept> implements SysDeptService {

    @Autowired
    private SysUserMapper sysUserMapper;

    @Override
    public MessageInfoUserInfo getAllUsers(Set<String> scopeIds, Integer messageType) {

        List<String> scopeIdList = Lists.newArrayList(scopeIds);
        List<List<String>> scopeIdSplit = CollUtil.split(scopeIdList, 500);

        MessageInfoUserInfo messageInfoUserInfo = new MessageInfoUserInfo();
        Map<String, SysUser> collect = Maps.newHashMap();
        Set<String> keySet = Sets.newHashSet();
        for (List<String> itemCodes : scopeIdSplit) {
            List<SysUser> sysUsers;
            if (messageType.equals(BusinessConstants.DICT_ITEM_ID_2)) {
                sysUsers = sysUserMapper.getUserInfoByIds(itemCodes);
            } else {
                sysUsers = sysUserMapper.getUserInfoByOrgIds(itemCodes);
            }
            if (CollectionUtils.isNotEmpty(sysUsers)) {
                collect.putAll(sysUsers.stream().collect(Collectors.toMap(SysUser::getIdcard, o -> o)));
                keySet.addAll(collect.keySet());
            }
        }
        messageInfoUserInfo.setUserMap(collect);
        messageInfoUserInfo.setClientIds(keySet);

        return messageInfoUserInfo;
    }
}
