package com.dragon.tj.portal.common.dto.notice;

import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author huey China.
 * @Description :
 * @Date Created in 2023/6/15 15:59
 */
@Getter
@Setter
public class NoticeInfoReq {

    /**
     * 应用系统编号
     */
    private String scopeId;

    @NotBlank(message = "应用url不能为空")
    private String scopeUrl;
    /**
     * 填充
     */
    private String scopeName;

    @Range(min = 4, max = 6, message = "请填入4~6,4 任务类 5 通知类 6 超期提醒类")
    private Integer messageType;

    /**
     * 消息级别
     */
    private Integer messageLevel = 0;

    /**
     * 信息标题
     */
    @NotBlank(message = "信息标题 不能为空")
    private String title;

    /**
     * 信息内容
     */
    @NotBlank(message = "信息内容 不能为空")
    private String content;

    /**
     * 附件地址
     */
    private String attachmentPath;

    /**
     * 推送人的信息
     */
    @NotBlank(message = "推送人身份证号 不能为空")
    private String createIdCard;

    @NotBlank(message = "推送人姓名 不能为空")
    private String createUserName;

    @NotBlank(message = "推送人部门编码 不能为空")
    private String createOrgCode;

    @NotBlank(message = "推送人部门名称 不能为空")
    private String createOrgName;

}
