package com.dragon.tj.portal.common.vo.message;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;

/**
 * @author huey China.
 * @Description : vo
 * @Date Created in 2023/6/28 15:19
 */
@ToString
@Getter
@Setter
public class MessageInfoVO {

    /**
     * 主键
     */

    private Long id;

    /**
     * 信息类型 1 通知公告 2信息交流 3 标准规范
     */
    private Integer messageType;

    /**
     * 阅读状态 默认0未读 1已读
     */
    private Integer readStatus;

    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 附件地址
     */
    private String attachmentPath;
    private String attachmentName;

    /**
     * 创建人
     */
    private String createBy;
    private String createUser;

    /**
     * 创建人部门名称和code
     */
    private String createOrgName;
    private String createOrgCode;

    /**
     * 修改人
     */
    private String updateBy;
    private String updateUser;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    /**
     * 版本号
     */
    private Integer version;
}
