package com.dragon.tj.portal.common.vo.notice;

import com.dragon.tj.portal.common.constants.DateTimeFormatterConstant;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * @author huey China.
 * @Description : vo
 * @Date Created in 2023/6/28 15:19
 */
@ToString
@Getter
@Setter
public class NoticePageParam {

    /**
     * 消息类型 4 任务类 5 通知类 6 超期提醒类
     */
    private Integer messageType;

    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 部门名称
     */
    private String deptCode;

    /**
     * 发布时间
     */
    @DateTimeFormat(pattern = DateTimeFormatterConstant.OF_PATTERN_0)
    private LocalDateTime publishTimeStart;
    @DateTimeFormat(pattern = DateTimeFormatterConstant.OF_PATTERN_0)
    private LocalDateTime publishTimeEnd;

    /**
     * 已读状态
     */
    private Integer readStatus;

}
