package com.dragon.tj.portal.component.exception.base;

/**
 * @author huey China.
 * @Description : 抽象异常
 * @Date Created in 2023/6/15 15:49
 */
public abstract class FrameAbstractException extends RuntimeException {

    public ResultError resultError;

    public FrameAbstractException(ResultError resultError) {
        super(resultError.getMsg());
        this.resultError = convert(resultError);
    }

    public FrameAbstractException(ResultError resultError, String message) {
        super(message);
        this.resultError = convert(resultError);
    }

    /**
     * 设置异常所属微服务
     *
     * @return 系统标识
     */
    public abstract String setSystemCode();

    /**
     * 获得返回码信息
     *
     * @return
     */
    public ResultError getResultError() {
        return resultError;
    }

    ;

    /**
     * 转化成增加系统标识的错误码
     *
     * @param resultError
     * @return
     */
    public ResultError convert(ResultError resultError) {
        return new ResultError() {
            @Override
            public int getCode() {
                return Integer.valueOf(String.format("%s%s", setSystemCode(), resultError.getCode()));
            }

            @Override
            public String getMsg() {
                return resultError.getMsg();
            }
        };
    }
}
