package com.dragon.tj.portal.component.log.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * @author huey China.
 * @Description : 日志查询传输对象
 * @Date Created in 2023/6/15 15:41
 */
@Data
public class SysLogDTO {

    /**
     * 编号
     */
    private Long id;

    /**
     * 日志类型
     */
    @NotBlank(message = "日志类型不能为空")
    private String type;

    /**
     * 日志标题
     */
    @NotBlank(message = "日志标题不能为空")
    private String title;

    /**
     * 创建者
     */
    private String createBy;

    private String createUser;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 操作IP地址
     */
    private String remoteAddr;

    /**
     * 用户代理
     */
    private String userAgent;

    /**
     * 请求URI
     */
    private String requestUri;

    /**
     * 操作方式
     */
    private String method;

    /**
     * 操作提交的数据
     */
    private String params;

    /**
     * 执行时间
     */
    private Long time;

    /**
     * 异常信息
     */
    private String exception;

    /**
     * 创建时间区间 [开始时间，结束时间]
     */
    private LocalDateTime[] createTime;

    /**
     * 模块名称
     */
    private String moduleName;
    private String moduleType;

    /**
     * 创建人部门名称和code
     */
    private String createOrgName;
    private String createOrgCode;

    /**
     * 系统编码
     */
    private String sysNumber;

}
