package com.dragon.tj.portal.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.enums.log.ModuleEnum;
import com.dragon.tj.portal.common.vo.log.LogPageParam;
import com.dragon.tj.portal.entity.SysLog;
import com.dragon.tj.portal.service.SysLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 日志表 前端控制器
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
@RestController
@RequestMapping("/sysLog")
public class SysLogController {

    @Autowired
    private SysLogService sysLogService;

    /**
     * 分页查询
     *
     * @param
     * @param req
     * @return
     */
    @PostMapping("/page")
    public R page(@RequestBody LogPageParam req) {
        IPage iPage = sysLogService.queryPage(req, req);
        return R.ok(iPage);
    }

    /**
     * 详情
     */
    @GetMapping("detail")
    public R detail(Long id) {
        SysLog sysLog = sysLogService.getById(id);
        return R.ok(sysLog);
    }

    /**
     * 日志模块枚举返回
     */
    @GetMapping("moduleMap")
    public R moduleMap() {
        return R.ok(ModuleEnum.getMap());
    }

    /**
     * 日志模块枚举返回
     */
    @GetMapping("moduleMaps")
    public R moduleMaps() {
        return R.ok(ModuleEnum.getMaps());
    }

}

