package com.dragon.tj.portal.controller;

import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.TipInfo;
import com.dragon.tj.portal.service.TipService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 飘窗信息
 */
@RestController
@RequestMapping("/tip")
public class TipController {

    private final TipService tipService;

    public TipController(TipService tipService) {
        this.tipService = tipService;
    }

    @GetMapping("/getLatestTip")
    public R<String> getLatestTip() {
        TipInfo latestTip = tipService.getLatestTip();
        if (latestTip != null) {
            return R.ok(latestTip.getContent());
        }
        return R.ok();
    }
}
