package com.dragon.tj.portal.controller.api;

import com.alibaba.fastjson.JSON;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.dto.notice.NoticeInfoReq;
import com.dragon.tj.portal.component.page.KafkaUtil;
import com.dragon.tj.portal.service.NoticeInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.concurrent.ExecutionException;

@Slf4j
@RestController
@RequestMapping("/api/message")
public class NoticeApiController {

    @Autowired
    private KafkaUtil kafkaUtil;
    @Autowired
    private NoticeInfoService noticeInfoService;

    /**
     * @author huey China.
     * @Description : 消息提醒发送
     * @Date Created in 2023/7/11 16:12
     */
    @PostMapping("/send")
    public R send(@Validated @RequestBody NoticeInfoReq noticeInfoReq, @RequestHeader String appKey) {
        noticeInfoReq.setScopeId(appKey);
        log.info("api/message/send-req-is {}", JSON.toJSONString(noticeInfoReq));
        return noticeInfoService.send(noticeInfoReq);
    }

    @GetMapping("/createTopic")
    public R createTopic(@RequestParam String appId, @RequestParam String topic) throws ExecutionException, InterruptedException {
        kafkaUtil.create(topic);
        return R.ok();
    }

}

