package com.dragon.tj.portal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 消息表
 * </p>
 *
 * @author huey
 * @since 2023-07-11
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("notice_info")
public class NoticeInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 消息类型 4 任务类 5 通知类 6 超期提醒类
     */
    private Integer messageType;

    /**
     * 消息级别
     */
    private Integer messageLevel;

    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 附件地址
     */
    private String attachmentPath;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建人姓名
     */
    private String createUser;
    private String createOrgName;
    private String createOrgCode;
    private String scopeId;
    private String scopeUrl;
    private String scopeName;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改人姓名
     */
    private String updateUser;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    /**
     * 删除状态 默认0 有效 1无效
     */
    private Integer delFlag;

    /**
     * 版本号
     */
    private Integer version;

    @TableField(exist = false)
    private Long targetId;

    @TableField(exist = false)
    private Integer readStatus;

    @TableField(exist = false)
    private Integer recordType;

    @TableField(exist = false)
    private String clientId;

}
