package com.dragon.tj.portal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dragon.tj.portal.entity.FileInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 应用程序
 */
@Mapper
public interface FileManageMapper extends BaseMapper<FileInfo> {

    @Select("<script>"
            + "select * from file_info where type in "
            + "<foreach item='item' index='index' collection='types'      open='(' separator=',' close=')'>"
            + "#{item}"
            + "</foreach>"
            + "order by downloads desc  limit #{num}"
            + "</script>")
    List<FileInfo> getTop(@Param("types") List<String> ids, @Param("num") Integer limit);

}
