package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.BusinessInfo;
import com.dragon.tj.portal.entity.PageParam;
import org.springframework.web.multipart.MultipartFile;

public interface BusinessService {
    /*
     * CRUD
     * */
    int add(BusinessInfo businessInfo, LoginUser loginUser);

    int delete(Long id);

    int update(BusinessInfo businessInfo);

    BusinessInfo detail(Long id);

    /*
     * 获取类型
     * */
    R getType();

    /*
     * 分页搜索
     * */
    Page<BusinessInfo> search(PageParam<BusinessInfo> businessInfoPage);

    /*
     *  安装应用业务程序
     * */
    int install(Integer appId, Integer businessId, String userIdcard);

    int uninstall(Integer appId, Integer businessId, String idCard);

    /*
     * 查询已安装应用业务功能
     * */
    IPage<BusinessInfo> installApp(PageParam<BusinessInfo> businessInfoPage, LoginUser loginUser);

    void updateAppStat();

    int clickIncr(Long id);

    boolean batchAdd(MultipartFile file);
}
