package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.SysDict;

import java.util.List;

/**
 * <p>
 * 字典表 服务类
 * </p>
 *
 * @author huey
 * @since 2023-06-12
 */
public interface SysDictService extends IService<SysDict> {

    /**
     * 根据ID 删除字典
     *
     * @param id
     * @return
     */
    R removeDict(Integer id);

    /**
     * 更新字典
     *
     * @param sysDict 字典
     * @return
     */
    R updateDict(SysDict sysDict);

    /**
     * 获取字典
     *
     * @param type 字典类型
     * @return
     */
    List<SysDict> getDict(String type);
}
