package com.dragon.tj.portal.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.common.enums.DelFlagEnum;
import com.dragon.tj.portal.entity.AppInfo;
import com.dragon.tj.portal.mapper.app.AppInfoMapper;
import com.dragon.tj.portal.service.AppInfoService;
import com.google.common.collect.Lists;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

@Service
public class AppInfoServiceImpl extends ServiceImpl<AppInfoMapper, AppInfo> implements AppInfoService {

    @Override
    public List<String> getAllAppSysCodes() {
        LambdaQueryWrapper<AppInfo> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(AppInfo::getDelFlag, DelFlagEnum.NO.value());
        List<AppInfo> list = this.list(wrapper);
        if (CollUtil.isEmpty(list)) {
            return Lists.newArrayList();
        } else {
            Set<String> sysCodes = list.stream().filter(e -> StringUtils.isNotEmpty(e.getSystemNumber())).map(AppInfo::getSystemNumber).collect(Collectors.toSet());
            return Lists.newArrayList(sysCodes);
        }
    }

    @Override
    public AppInfo getOneByCode(String code) {
        LambdaQueryWrapper<AppInfo> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(AppInfo::getSystemNumber, code);
        return this.getOne(wrapper);
    }

}


